# Class Intergenic

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Intergenic

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class Intergenic extends Marker
Interval for in intergenic region

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHROMOSOME_END`
`static final String`
`CHROMOSOME_START`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`Intergenic()`
`Intergenic(Chromosome parent, int start, int end, boolean strandMinus, String id, String name)`

## Method Summary

Modifier and Type
Method
Description
`Intergenic`
`cloneShallow()`
Perform a shallow clone
`static Intergenic`
`createIntergenic(Gene geneLeft, Gene geneRight)`
Creates an intergenic marker based on the "space" between two genes
`String`
`getName()`

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffect, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CHROMOSOME_START

public static final String CHROMOSOME_START

See Also:
  - Constant Field Values

### CHROMOSOME_END

public static final String CHROMOSOME_END

See Also:
  - Constant Field Values

## Constructor Details

### Intergenic

public Intergenic()

### Intergenic

public Intergenic(Chromosome parent, int start, int end, boolean strandMinus, String id, String name)

## Method Details

### createIntergenic

public static Intergenic createIntergenic(Gene geneLeft, Gene geneRight)
Creates an intergenic marker based on the "space" between two genes

Returns:
  null if the marker cannot be created

### cloneShallow

public Intergenic cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Marker`

### getName

public String getName()